import request from '@/utils/request'

// 查询公告列表
export function listScore(query) {
  return request({
    url: '/reward/score/list',
    method: 'get',
    params: query
  })
}
//查询详细
export function getScoreInfo(query) {
  return request({
    url: '/reward/score/getScoreInfo/',
    method: 'get',
    params:{
      applyId:query
    }
  })
}
//查询详细
export function getDetail(query) {
  return request({
    url: '/reward/apply/detail/' + query,
    method: 'get'
  })
}
// 修改
export function scoreSave(data) {
  return request({
    url: '/reward/score/save',
    method: 'post',
    data: data
  })
}
//材料校验
export function checkFile(applyId ){
  return request({
    url: '/reward/file/checkFile/'+applyId,
    method: 'get',
  })
}
//审核提交
export function approved(applyId){
  return request({
    url: '/reward/audit/approved/'+ applyId,
    method: 'get',
  })
}
//退回
export function applyBack(applyId,applyMsg){
  return request({
    url: '/reward/audit/applyBack',
    method: 'get',
    params:{
      applyId:applyId,
      applyMsg:applyMsg
    }
  })
}
